Subject: Re: ActiveX/OCX - programming
From: Juergen Lock <[email-masked]>
To: "Michael P." <[email-masked]>
Cc: [email-masked]
Date: Tue, 28 Dec 1999 22:21:15 +0100

Hmm no answer to this one?  OK i'll have a try...

On Mon, Dec 27, 1999 at 10:45:41AM +0100, Michael P. wrote:
> Hi!
> 
> I have a question about ActiveX/ocx programming. I have been using VB and VC++ 
> for creating ActiveX modules, but I normally use Cygwin and Mingw32 as my 
> favorite C++ environment, so now I would like to use it for developing ActiveX 
> controls as well.
> 
 If you used vc++ you probably used its gui builder, the mfc class library
and its 'class wizard' (at least to create the externally visible methods
and properties)...

> Is it possible to develop and use ActiveX controls using Mingw32? And if yes, 
> how can it be done?

 ...and all of this you won't have with mingw32.  (it may be _possible_
to port mfc but the copyright on the sources would probably restrict
any port to people who already have vc++ anyway so there'd be little
incentive to make one.)  So i guess you'd have to resort to low level
ole programming which looks like, umm, not fun. :(  (oh, are there even
ole headers for mingw32?)

>  Are there any tutorials out there?
> 
 There is information about ole and about how ocx's use it in msdn
(a copy usually(?) comes with vc++, or go to http://msdn.microsoft.com),
but i'm not sure if there's something what you could call a tutorial...

 HTH, (well, probably not really i'm afraid...)
-- 
Juergen Lock <[email-masked]>
(remove dot foo from address to reply)

--
Want to unsubscribe from this list?
Send a message to [email-masked]